@import '../../../../src/styles.scss';

.resume-container {
  position: relative;
  width: 100%;
  height: 100%;
  background: white;
  padding: 10px;
  border-radius: 0px 10px 10px 0px;
  -webkit-box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44), inset 10px 0px 15px -6px rgba(0, 0, 0, 0.03);
  -moz-box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44), inset 10px 0px 15px -6px rgba(0, 0, 0, 0.03);
  box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44), inset 10px 0px 15px -6px rgba(0, 0, 0, 0.03);
  z-index: 1;
}

.resume-header {
  display: flex;
  flex-flow: row;
  justify-content: flex-start;
  height: 50px;
}

.resume-header-title {
  flex: 1;
  display: flex;
  flex-flow: row;
  justify-content: flex-start;
  align-items: center;
  padding-left: 10px;
  font-size: 16px;
  &-first {
    position: absolute;
    border-radius: 100%;
    left: 14px;
    top: 26px;
    height: 25px;
    width: 25px;
    background-image: $app-gradient-faded;
  }
}

.resume-content {
  display: flex !important; // because overrided with the slim scrollbar
  flex-flow: column;
  overflow-y: auto;
  overflow-x: hidden;
  margin-top: 5px;
  height: 470px;
  padding: 10px;
}

.resume-experiences {
  margin-bottom: 20px;
}

.resume-experiences-title {
  margin-bottom: 10px;
}

.resume-experiences-content {
  display:  flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: flex-start;
  font-size: 14px;
}

.resume-experiences-content-item {
  flex: 1 1 230px;
  margin-bottom: 20px;
  padding-right: 5px;
}

.resume-experiences-content-item-text {
  &-icon {
    font-size: 18px;
  }
  &-title {
    font-size: 14px;
    font-weight: bold;
  }
  &-subtitle {
    font-size: 12px;
    font-style: italic;
  }
  &-date {
    font-size: 10px;
    color: rgba(220,220,220,1);
    margin-bottom: 5px;
  }
  &-description {
    font-size: 12px;
  }
}

//--------//
// Skills //
//--------//

.resume-skills {
  margin-top: 10px;
}

.resume-skills-title {
  margin-bottom: 10px;
}

.resume-skills-content {
  display:  flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
  font-size: 14px;
  padding-right: 25px;
  .resume-skills-content-item {
    &:hover {
      .resume-skills-content-item-category {
        transition: .1s ease-in-out;
        font-size: 12px;
        font-weight: bold;
      }
      @for $i from 2 through 6 {
        .resume-skills-content-item-circle {
          &-filled:nth-of-type(#{$i}) {
            transition: ease-in-out (0.3s + ($i - 2) * 0.15s);
            animation: test (0.3s + ($i - 2) * 0.15s) ease-in-out;
            -webkit-animation: test (0.3s + ($i - 2) * 0.15s) ease-in-out;
          }
        }
      }
    }
  }
}

.skills-content-padding {
  padding-right: 25%;
}

.resume-skills-content-item {
  flex: 1 1 200px;
  display:  flex;
  flex-flow: row;
  justify-content: flex-end;
  align-items: center;
  margin-bottom: 15px;
  &:hover {
    .resume-skills-content-item-circle {
      &-filled {
        background: $main-color;
      }
    }
  }
}

.resume-skills-content-item-category {
  transition: .1s ease-in-out;
  margin-right: 5px;
}

.resume-skills-content-item-circle {
  &-empty {
      width: 20px;
      height: 20px;
      background: transparent;
      border: 2px solid $main-color-faded;
      border-radius: 50%;
      margin-left: 3px;
      transition: 0.5s all ease;
  }
  &-filled {
    display: flex;
    flex-flow: row;
    align-items: center;
    justify-content: center;
    width: 20px;
    height: 20px;
    background: $main-color-faded;
    border-radius: 50%;
    margin-left: 3px;
    transition: 0.5s all ease;
    &-inner {
      position: relative;
      width: 15px;
      height: 15px;
      background: transparent;
      border: 2px solid white;
      border-radius: 50%;
      transition: 0.5s all ease;
    }
  }
}

@keyframes test {
  0% {
    transform: scale(1.0);
  }
  50% {
    transform: scale(1.3);
    background: $main-color;
  }
  100% {
    transform: scale(1.0);
    background: $main-color;
  }
}


@media screen and (max-width: 1000px) {
  .slimscroll-wrapper, .resume-content {
    height: 425px;
  }
}

@media screen and (max-width: 900px) {
  .slimscroll-wrapper {
    height: 90vh !important;
  }
  .resume-content {
    height: 100%;
  }
  .resume-container {
    border-radius: 0;
  }
}

// FIXME: temporary class in order to make the resume component look nice on mobile
@media screen and (max-width: 420px) {
  .resume-header-title {
    padding-left: 50px;
    &-first {
      left: 54px;
    }
  }
}

